Create a queue and optionally assign initial channel endpoints
curl --request POST \
--url https://{subdomain}.mihu.ai/api/v1/workspace/queue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Enterprise Support",
"sla_seconds": 123,
"endpoints": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://{subdomain}.mihu.ai/api/v1/workspace/queue"
payload = {
"name": "Enterprise Support",
"sla_seconds": 123,
"endpoints": [{ "id": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Enterprise Support', sla_seconds: 123, endpoints: [{id: '<string>'}]})
};
fetch('https://{subdomain}.mihu.ai/api/v1/workspace/queue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Enterprise Support",
"color": "q-support",
"is_active": true,
"sla_seconds": 123,
"channels": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "call",
"identifier": "+12013790120",
"endpoint_id": "<string>",
"mode": "autopilot",
"ai_agent": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sla_seconds": 30,
"knowledge_gap": {
"enabled": true,
"threshold": 67,
"hand_off_to": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"callback": {
"enabled": true,
"user_email": "<string>",
"prompt": "<string>"
},
"overflow": {
"enabled": true,
"reason": "threshold",
"target_type": "agent",
"target": "<string>"
},
"escalation": {
"enabled": true,
"reason": "sla",
"target_type": "agent",
"target": "<string>"
},
"working_hours": {
"enabled": true,
"days": [
"Mon"
],
"start": "09:00",
"end": "18:00",
"after_hours": "<string>"
}
}
],
"members": [
{
"email": "<string>",
"name": "<string>",
"role": "member"
}
],
"routings": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Long wait → AI",
"is_active": true,
"rules": [
{
"channel_assignment": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel_identifier": "+12013790120",
"if": {
"trigger": "wait",
"seconds": 123,
"keyword": "<string>",
"field": "<string>",
"operator": "eq",
"value": "<string>"
},
"then": {
"action": "transfer_to_ai_agent",
"ai_agent": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ai_agent_name": "<string>"
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Workspace Queue
Create a queue and optionally assign initial channel endpoints
Creates the queue. endpoints should contain selected channels from options/available-endpoints. For a phone number, send channel=call and id from available_endpoints.call[].id. Initial mode applies to all endpoints created by this request.
POST
/
api
/
v1
/
workspace
/
queue
Create a queue and optionally assign initial channel endpoints
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Body
application/json
Response
201 - application/json
Queue created
A queue with its complete configuration — exactly what the Queues screen shows.
Show child attributes
Show child attributes
⌘I